/* SQL Backup Script All Databases.sql */

DECLARE @name VARCHAR(50) -- database name 
DECLARE @path VARCHAR(256) -- path for backup files 
DECLARE @fileName VARCHAR(256) -- filename for backup 
DECLARE @fileDate VARCHAR(20) -- used for file name

SET @path = 'C:\temp\BackupSql\' 

SELECT @fileDate = DATENAME(dw, getdate())

DECLARE db_cursor CURSOR FOR 
SELECT name 
FROM master.dbo.sysdatabases 
WHERE name = 'speeddylog'

OPEN db_cursor  
FETCH NEXT FROM db_cursor INTO @name  

WHILE @@FETCH_STATUS = 0  
BEGIN  
       SET @fileName = @path + @name + '_' + @fileDate + '.BAK' 
       BACKUP DATABASE @name TO DISK = @fileName WITH INIT

       FETCH NEXT FROM db_cursor INTO @name  
END  

CLOSE db_cursor  
DEALLOCATE db_cursor


/*


####################################
# Automatically Run using Scheduled Tasks #
####################################

# Create a batch file with the following code:

del "C:\Database Backups\*.*" /q
"C:\Program Files (x86)\Microsoft SQL Server\90\Tools\Binn\SQLCMD.EXE" -Slocalhost\SQLExpress -Usa -P<sa password> -i"C:\inetpub\SQL Backup Script All Databases.sql"

*/